/// <reference types="node" />
import { Context } from '@midwayjs/koa';
import { MagicApi } from '../magic';
export declare class HomeController {
    magicApi: MagicApi;
    ctx: Context;
    private magicConfig;
    private typesPath;
    configJs(): Promise<Buffer>;
    /**
     * 版本号
     */
    version(): Promise<{
        version: any;
    }>;
    /**
     * swagger定义
     */
    swaggerSpec(): Promise<object>;
    /**
     * d.ts类型路径
     */
    types(): Promise<any[]>;
    /**
     * 获取d.ts文件
     */
    typeFile(): Promise<Buffer>;
}
